Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BackgroundTypeWallpaper

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BackgroundType
it.tdlight.jni.TdApi.BackgroundTypeWallpaper

Enclosing class:
  TdApi

public static final class TdApi.BackgroundTypeWallpaper extends TdApi.BackgroundType
A wallpaper in JPEG format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isBlurred`
True, if the wallpaper must be downscaled to fit in 450x450 square and then box-blurred with radius 12.
`boolean`
`isMoving`
True, if the background needs to be slightly moved when device is tilted.

## Constructor Summary

Constructors
Constructor
Description
`BackgroundTypeWallpaper()`
A wallpaper in JPEG format.
`BackgroundTypeWallpaper(boolean isBlurred, boolean isMoving)`
A wallpaper in JPEG format.
`BackgroundTypeWallpaper(DataInput input)`
A wallpaper in JPEG format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isBlurred

public boolean isBlurred
True, if the wallpaper must be downscaled to fit in 450x450 square and then box-blurred with radius 12.

### isMoving

public boolean isMoving
True, if the background needs to be slightly moved when device is tilted.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### BackgroundTypeWallpaper

public BackgroundTypeWallpaper()
A wallpaper in JPEG format.

### BackgroundTypeWallpaper

public BackgroundTypeWallpaper(boolean isBlurred, boolean isMoving)
A wallpaper in JPEG format.

Parameters:
  `isBlurred` - boolean True, if the wallpaper must be downscaled to fit in 450x450 square and then box-blurred with radius 12.
  `isMoving` - boolean True, if the background needs to be slightly moved when device is tilted.

### BackgroundTypeWallpaper

public BackgroundTypeWallpaper(DataInput input) throws IOException
A wallpaper in JPEG format.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`